import 'dart:collection';

import 'package:miodi/core/providers.dart';

class MiodiModule {
  HashMap<Type, Provider> moduleConfiguration = HashMap();
  List<Provider> providers;

  MiodiModule(this.providers) {
    providers.forEach((provider) {
      moduleConfiguration[provider.provideType] = provider;
    });
  }
}